import React from 'react';
import { Link } from '../../navigation';
import { useTranslations } from 'next-intl';

const ROUTES = ['sessions', 'notifications', 'support', 'information', 'settings', 'messages', 'work-with-us'];

export const AccountMenu = () => {
    const t = useTranslations('Account');

    return (
        <ul>
            {ROUTES.map((item) => (
                <li key={item}>
                    <Link href={`/account/${item}`}>
                        {t(`menu.${item}`)}
                    </Link>
                </li>
            ))}
        </ul>
    )
};
